<?php

namespace Reinaldo\Teste00pkg\Repositories\Eloquent;

use Reinaldo\Teste00pkg\Interfaces\ComercialRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Reinaldo\Teste00pkg\Repositories\Eloquent\Presenters\ComercialItemPresenter;


class ComercialRepository extends BaseRepository implements ComercialRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('reinaldo.teste00pkg.comercial.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('reinaldo.teste00pkg.comercial.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return ComercialItemPresenter::class;
    }
}
